// =====================================================================
//  $Id: St02OfflineDarkAverageMap.hh,v 1.1 2003/07/11 05:34:14 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __ST02OFFLINEDARKAVERAGEMAP_HH
#define __ST02OFFLINEDARKAVERAGEMAP_HH

#include "Tglobals.h"
#include "St02Map.hh"

class St02OfflineDarkAverageMap
  : public St02Map
{

  private:
    TDataMultiplicity theCounterMap;
    Tint theNumberOfFrames;

  public:
    St02OfflineDarkAverageMap( const Tstring& filename );
    ~St02OfflineDarkAverageMap();

  public:
    Tvoid FillMap( Tshort* data, Tint ndata );
    const TDataMultiplicity& GetCounterMap() const;
    TDataMultiplicity& GetCounterMap();
    Tint GetNumberOfFrames() const;

};

inline const TDataMultiplicity& St02OfflineDarkAverageMap::GetCounterMap() const
{
  return( theCounterMap );
}

inline TDataMultiplicity& St02OfflineDarkAverageMap::GetCounterMap()
{
  return( theCounterMap );
}

inline Tint St02OfflineDarkAverageMap::GetNumberOfFrames() const
{
  return( theNumberOfFrames );
}

#endif
